Legend symbols (in print composer) are ignoring the "scale size field" option in vector symbology

2011-10-27 06:45 AM - Giovanni Manghi

Status: Open

Priority: Normal

Assignee: Vincent Mora

Category: Map Composer/Printing

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 14380

Description

As result all the symbols do show of the same size.

History

#1 - 2011-10-30 12:23 AM - Marco Hugentobler

Not sure what you mean. 

If the size comes from a field, the symbol size will be different for every feature. How should the legend handle this other than showing the symbol in a

standard size?

#2 - 2011-10-30 05:28 AM - Giovanni Manghi

Marco Hugentobler wrote:

Not sure what you mean. 

If the size comes from a field, the symbol size will be different for every feature. How should the legend handle this other than showing the symbol in

a standard size?

Example:

take a layer of cities (points), and make them represented with the categorized renderer (for example using the city region to classify with different colors)

and then  have them with different sizes using "scale size field", using for example the city population.

I would expect to have the different sizes represented in the legend of the print composer, but this doesn't work.

On the other end if you just uses the categorized renderer, without using the "scale size field", but then you manually change the size of the symbols

manually, then in the print composer the legend works as expected -> a different symbol size for every feature.

I guess that if it works manually, it should work also with the "scale size field", also because sometimes the classes/features are just too many...

#3 - 2011-11-01 12:03 AM - Marco Hugentobler

- Tracker changed from Bug report to Feature request

I would expect to have the different sizes represented in the legend of the print composer, but this doesn't work.

Hm, but if you have 3000 cities with different sizes, you get 3000 symbols in the legend. I guess this option would mainly be useful in case of few objects in
c composer map

Changing the ticket type to 'feature'.

#4 - 2011-11-02 02:06 AM - julie -

- File proportional_symbols.png added

Hi,

The idea is to get only a few example of symbols with different sizes in the legend. You usually get three, but being able to set this number would be great.

I enclose an example for better comprehension. If you get only one size of symbol in the legend you can't really interpret this kind of map, so in my opinion

this would be quite useful. Getting as many symbols in the legend as on the map would be, as you point out, quite useless as well.

#5 - 2011-11-02 07:49 AM - Giovanni Manghi

julie - wrote:

Hi,

The idea is to get only a few example of symbols with different sizes in the legend. You usually get three, but being able to set this number would be

great. I enclose an example for better comprehension. If you get only one size of symbol in the legend you can't really interpret this kind of map, so in

my opinion this would be quite useful. Getting as many symbols in the legend as on the map would be, as you point out, quite useless as well.

I agree, moreover in the case you want represent (for example) cities with proportional symbols (so not making classes) it is likely that in the composer you

want to have just a few, but still it is needed to use the "scale size field" to render them in the canvas.

#6 - 2012-04-15 10:06 AM - Giovanni Manghi

- Target version changed from Version 1.8.0 to Version 2.0.0

#7 - 2012-10-06 02:15 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#8 - 2014-04-06 06:03 AM - Jürgen Fischer

- Category changed from 33 to Map Composer/Printing

#9 - 2014-06-20 09:56 AM - Giovanni Manghi

- Assignee changed from Marco Hugentobler to Nyall Dawson

#10 - 2014-06-20 02:49 PM - Giovanni Manghi

please notice that is using the "data defined size" (instead of the "scale size field") then in the composer legend no symbols are shown.

#11 - 2014-06-20 03:19 PM - Nyall Dawson

- Assignee deleted (Nyall Dawson)

Unassigning myself as I'm not currently working on this feature.

#12 - 2015-02-02 04:23 AM - Vincent Mora
- Assignee set to Vincent Mora

Related to #11491

#13 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

Files

proportional_symbols.png 69.6 KB 2011-11-02 julie -
